Description

The tarball that foreman-proxy-certs-generate creates applies gzip compression, which implies the file extension needs to be .tar.gz

instead of .tar.

This is done in 

https://github.com/theforeman/puppet-certs/blob/c1eaa9087a654d3a1bd5584bd9f3e9f2fff6119e/manifests/tar_create.pp#L25 and

dates all the way back to when the file was created in 2013.

Associated revisions

Revision 6fe95b33 - 01/25/2024 01:46 AM - Ewoud Kohl van Wijngaarden

Refs #37097 - Use .tar.gz file extension for tarballs

This aligns with the actual content, which is a gzipped tarball.

Revision 1a3e4258 - 02/13/2024 12:41 PM - Ewoud Kohl van Wijngaarden

Fixes #37097 - Use automatic compression based on file path for tar

This way users can pass .tar.xz to get XZ compression too. One side

effect is that by default we won't compress anymore since the file

extension is .tar. On the other hand, it's less confusing for users that

you have a .tar extension which should be .tar.gz.

History

#1 - 01/24/2024 11:35 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-certs/pull/440 added

#2 - 01/24/2024 11:36 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/911 added

#3 - 02/13/2024 12:41 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#4 - 02/13/2024 01:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-certs|1a3e42583ca25b9bd87c7f2263de9ce3897605c6.
